Instagram 用户

Instagram 业务账户Instagram 创作者账户

在本文中,“Instagram 用户”和“Instagram 账户”可互换使用。两者都代表应用用户的 Instagram 专业账户。

Requirements

Instagram API with Instagram LoginInstagram API with Facebook Login

Access Tokens

  • Instagram User user access token

Host URL

graph.instagram.com

graph.facebook.com

Login Type

Business Login for Instagram

Facebook Login for Business

Permissions
  • instagram_business_basic
  • instagram_basic
  • pages_read_engagement

If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:

  • ads_management
  • ads_read

If you are requesting the shopping_product_tag_eligibility field for product tagging, you will also need:

  • catalog_management
  • instagram_shopping_tag_products

Business Roles

Not applicable.

If you are requesting the shopping_product_tag_eligibility field for product tagging, the app user must have an admin role on the Business Manager that owns the IG User's Instagram Shop.

Instagram Shop

Not applicable.

If you are requesting the shopping_product_tag_eligibility field for product tagging, the IG User must have an approved Instagram Shop with a product catalog containing products.

创建

不支持此操作。

读取

GET /<IG_USER_ID>

通过 Instagram 业务账户或创作者账户获取字段和连线。

If you are migrating from Marketing API Instagram Ads endpoints to Instagram Platform endpoints, be aware that some field names are different.

请求语法

GET https://graph.facebook.com/<API_VERSION>/<IG_USER_ID>
  ?fields=<LIST_OF_FIELDS>
  &access_token=<ACCESS_TOKEN>

路径参数

占位符

<API_VERSION>

API 版本

<IG_USER_ID>

必要。Instagram 用户编号。

查询字符串参数

占位符

access_token

<ACCESS_TOKEN>

必要。应用用户的用户访问口令。

fields

<LIST_OF_FIELDS>

您希望系统针对结果集中的每个 Instagram 用户,返回的以英文逗号分隔的 Instagram 用户字段列表。

字段

公开字段可由连线使用字段扩展返回。只有少数字段可用来访问由公共主页支持的 Instagram 账户

字段名称描述

alt_text
公开

图片的描述性文本,用于无障碍访问。

biography
公开

个人主页个性签名文本。

followers_count
公开

关注特定用户的 Instagram 用户总数。

follows_count

用户关注的 Instagram 用户总数。

has_profile_pic

表明应用用户的 Instagram 专业账户是否有头像。

id
公开

应用范围内用户编号。可用于由公共主页支持的 Instagram 账户。

is_published

表明应用用户的 Instagram 账户是否已发布。可用于由公共主页支持的 Instagram 账户。

legacy_instagram_user_id

为市场营销 API 端点 v21.0 和更早版本建立的应用用户 Instagram 编号。可用于由公共主页支持的 Instagram 账户。

media_count
公开

应用用户账户上发布的 Instagram 影音内容总数。

name

应用用户的 Instagram 个人主页名称。

profile_picture_url

应用用户的 Instagram 头像的网址。

collaborative_media_search

按编号查找特定合作影音内容。通过字段扩展访问。仅适用于设置了 Facebook 登录的 Instagram API。

shopping_product_tag_eligibility

如果应用用户已开设 Instagram Instagram 店铺并因此有资格标记商品,系统将返回 true,否则返回 false

username
公开

应用用户的 Instagram 个人主页账号。

website
公开

应用用户的网站网址。

连线

连线描述

agencies

可以为此 Instagram 专业账户投放广告的公司列表。

authorized_adaccounts

可以为此 Instagram 专业账户投放广告的广告账户。

business_discovery

获取关于其他 Instagram 业务账户或 Instagram 创作者账户(IG 用户)的数据。

connected_threads_user

代表一个已与某 Instagram 账户绑定的 Threads 账户。

content_publishing_limit

表示 Instagram 用户当前对内容发布功能的使用情况。

insights

代表 Instagram 用户的社交互动指标。

instagram_backed_threads_user

代表由 Instagram 账户提供支持的 Threads 账户。

live_media

代表 Instagram 用户的直播视频 Instagram 影音内容集合。

media

代表 Instagram 用户Instagram 影音内容的集合。

media_publish

在 Instagram Business 的 Instagram 用户上发布 Instagram 容器

mentions

针对 Instagram 评论或带有配文的 Instagram 影音内容(某个 Instagram 用户在其中 @ 提及了另一位 Instagram 用户)创建 Instagram 评论

mentioned_comment

获取特定 Instagram 评论的数据,此评论中 Instagram 用户 被另一位 Instagram 用户 @提及。

mentioned_media

获取特定 Instagram 影音内容的数据,此媒体中 Instagram 用户在配文中被另一位 Instagram 用户 @提及。

recently_searched_hashtags

获取 Instagram 用户过去 7 天内搜索过的 Instagram 话题标签

stories

代表 Instagram 用户的快拍 Instagram 影音内容对象的集合。

tags

代表特定 Instagram 影音内容的集合,此类集合中某个 Instagram 用户受到了其他 Instagram 用户的标记。

upcoming_events

此 Instagram 专业账户举办的活动列表。

collaboration_invites

代表 Instagram 用户已受邀合作的 IG Media 对象属性(media_id、media_owner_username、caption、media_url)集合。

collaborative_media

代表 Instagram 用户(已获批成为合作者)的一系列 Instagram 影音内容。不包括用户直接拥有的影音内容。仅适用于设置了 Facebook 登录的 Instagram API。

响应

JSON 格式的对象包含默认和请求的字段连线

{
  "<FIELD>":"<VALUE>",
  ...
}

cURL 示例

请求

curl -X GET \
  'https://graph.facebook.com/v25.0/17841405822304914?fields=biography%2Cid%2Cusername%2Cwebsite&access_token=EAACwX...'

响应

{
  "biography": "Dino data crunching app",
  "id": "17841405822304914",
  "username": "metricsaurus",
  "website": "http://www.metricsaurus.com/"
}

更新

不支持此操作。

删除

不支持此操作。